{% extends 'layout/app.twig' %}

{% block pageContent %}
    <section id="speakers-details" class="wow fadeIn">
        <div class="container">
            <div class="section-header">
                <h2>Welkom {{ user.name }}</h2>
                <p>Op je dashboard vind je jouw organisaties, subscriptions en meer!</p>
            </div>

            <!-- organisaties die jij beheerd -->
            <h3>Mijn organisaties</h3>
            <p>Alle organisaties waarvan jij de eigenaar bent.</p>
            <div class="row">
            {% for organisation in organisations %}
                <div class="col-md-4">
                    <div class="details">
                        <h2><a href="/dashboard/organisations/{{ organisation.getId() }}/channels">{{ organisation.getName() }}</a></h2>

                        <p>{{ organisation.getDescription() }}</p>
                    </div>
                </div>
            {% endfor %}

            </div>
            <!-- organisaties waar je op gesubscribed bent -->
            <h3>Mijn subscriptions</h3>
            <p>Alle organisaties waarop jij gesubscribed bent.</p>
            <div class="row">
                {% for subscription in subscriptions %}
                    <div class="col-md-4">
                        <div class="details">
                            <h2><a href="/dashboard/organisations/{{ subscription.getId() }}/channels">{{ subscription.getName() }}</a></h2>
                            <p>{{ subscription.getDescription() }}</p>
                        </div>
                    </div>
                {% endfor %}

            </div>
            <!-- organisaties zoeken -->
            <h3><a href="/dashboard/search-organisations">Organisaties zoeken</a></h3>

            <!-- een nieuwe organisatie aanmaken -->
            <h3><a href="/dashboard/create-organisation">Nieuwe organisatie</a></h3>
        </div>
    </section>

    <section id="timeline">
        <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic' rel='stylesheet' type='text/css'>

        <!-- The Timeline -->

        <div class="section-header">
            <p>Onlangs geplaatste berichten op de kanalen waarop u zich heeft geabonneerd</p>
        </div>

        <ul class="timeline">

            <!-- Item 1 -->
            {% if messages|length > 0 %}
                {% for index, message in messages %}
                    <li>
                        <div class="{{ (index % 2 == 0) ? 'direction-r' : 'direction-l' }}">
                            <div class="flag-wrapper">
                                <span class="flag">{{ message.title }}</span>
                                <span class="time-wrapper"><span class="time">{{ message.date }}</span></span>
                            </div>
                            <div class="desc">{{ message.text }}</div>
                            <div class="desc">
                                {% if message.filepath %}
                                    <iframe src="{{ message.filepath }}" width="100%" height="500px">
                                    </iframe>
                                {% endif %}
                            </div>
                            <div class="desc">posted in {{ message.name }}, {{ message.channelName }}</div>
                        </div>
                    </li>

                {% endfor %}
                {% else %}
                <li>Er zijn nog geen berichten geplaatst</li>
            {% endif %}
        </ul>
    </section>
{% endblock %}